namespace :config_scripts do
  desc "Run pending config scripts"
  task :run_pending => :environment do
    ConfigScripts::Scripts::Script.run_pending_scripts
  end

  desc "List pending config scripts"
  task :list_pending => :environment do
    ConfigScripts::Scripts::Script.list_pending_scripts
  end

  desc "Run a config scripts"
  task :run => :environment do
    filename = ConfigScripts::Scripts::Script.filename_for_script(ENV['SCRIPT'])
    ConfigScripts::Scripts::Script.run_file(filename)
  end

  desc "Rollback a config scripts"
  task :rollback => :environment do
    filename = ConfigScripts::Scripts::Script.filename_for_script(ENV['SCRIPT'])
    ConfigScripts::Scripts::Script.run_file(filename, :down)
  end
end